#ifndef MINTERPOLATE_H
#define MINTERPOLATE_H
#include "MInterpolatedScalar.h"

template <typename vec>
class MInterpolate {
private:
	MInterpolatedScalar* interpolatedScalar;
	vec start;
	vec target;
	vec* current;
	vec diffVector;
public:
	MInterpolate(vec* vector, vec target, int interpolationType=INTER_LIN);
	MInterpolate(vec* vector, int interpolationType=INTER_LIN);
	~MInterpolate(void);
	void setTarget(vec target);
	vec& getTarget();
	void update();
};
#endif